.footer {
  background-color: #000;
  display: flex;
  align-items: center;
  flex-direction: column;
  text-align: center;
  padding: 38px 35px 47px;

  &-description {
    margin-top: 8px;
    max-width: 684px;
  }

  &-icon-wrapper {
    margin-top: 25px;
    margin-bottom: 25px;
    a {
      display: inline-block;
      height: 34px;
      width: 34px;
      box-sizing: border-box;
      padding: 3px;
      margin: 3px;

      border-radius: 50%;

      &:hover,
      &:active {
        transform: scale(1.1);
      }

      &:nth-child(1) {
        border: 2px solid #f8902e;
        color: #f8902e;
      }
      &:nth-child(2) {
        border: 2px solid #39599f;
        color: #39599f;
      }
      &:nth-child(3) {
        border: 2px solid #45b0e3;
        color: #45b0e3;
      }
      &:nth-child(4) {
        border: 2px solid #d97ab0;
        color: #d97ab0;
      }
      &:nth-child(5) {
        border: 2px solid #cc212c;
        color: #cc212c;
      }
    }
  }

  &-address-list {
    font-size: 1.167rem;
    line-height: 2rem;
    li::after {
      content: "/";
      margin-left: 10px;
    }
    a {
      @include animate-text-color;
    }
    a:hover,
    a:focus {
      color: $hover-text-color;
    }
  }
}

@media screen and (min-width: $tablet-width) {
  .footer {
    padding: 0 calc(50% - 342px);
    padding-bottom: 56px;
    padding-top: 56px;

    &-description {
      font-size: 1.14rem;
    }

    &-address-list {
      display: flex;
      gap: 10px;
    }
  }
}
